List messages for the team
Returns a paginated list of messages with filtering and sorting capabilities.
query Parameters
sortAvailable sorts are type, status, from_email, subject, created_at, status_changed_at. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -type.
page[size]The number of results that will be returned per page.
page[cursor]The cursor to start the pagination from.
filter[type]filter[status]filter[route_id]Filter by route ID
filter[domain_id]Filter by domain ID
filter[tag]Filter by tag name
filter[from_email]Search by sender email (partial match)
filter[subject]Search by subject (partial match)
filter[from_date]Filter messages created after this date
filter[to_date]Filter messages created before this date
Headers
AuthorizationBearer token. Format: Bearer {team_token}
List messages for the team › Responses
Paginated set of MessageListData
pathBase path for paginator generated URLs.
per_pageNumber of items shown per page.
next_cursorThe "cursor" that points to the next set of items.
next_page_urlprev_cursorThe "cursor" that points to the previous set of items.
prev_page_urlGet message details
Returns detailed information about a specific message including optional nested resources.
path Parameters
messageIdHeaders
AuthorizationBearer token. Format: Bearer {team_token}
Get message details › Responses
MessageData
idtypestatusstatus_changed_attagfrom_emailfrom_namereply_tosubjectroute_idcreated_atspam_scoreGet message events
Returns a paginated list of events for a specific message with sorting capabilities.
path Parameters
messageIdquery Parameters
sortAvailable sorts are timestamp, event. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -timestamp.
page[size]The number of results that will be returned per page.
page[cursor]The cursor to start the pagination from.
Headers
AuthorizationBearer token. Format: Bearer {team_token}
Get message events › Responses
Paginated set of MessageEventData
pathBase path for paginator generated URLs.
per_pageNumber of items shown per page.
next_cursorThe "cursor" that points to the next set of items.
next_page_urlprev_cursorThe "cursor" that points to the previous set of items.
prev_page_url